<template>
	<div>
    	<div class='h60'></div>
	</div>
</template>
<script>
import residentApi from '@/api/residentApi'
import store from '@/store'
export default {
	name: "index",
	components: {
		
  	},
	computed: {
		archiveType() {
			return this.user.archiveType // 1老人 2新生儿
		},
	},
  	data() {
    	return {
			signRecord: "",
			capAssRecord: "",
			userType:"",
			loginType:''
    	}
  	},
	created(){
		this.userType = this.user
		if(store.getters.user && store.getters.user.accessToken) {
			this.loginType = 1
		}else{
			this.loginType = 0
		}
	},
  	mounted() {

  	},
  	methods: {
      $refreshData(params) { // params: 下一级页面返回的params参数
        this.getPatientById()
    	},
      getPatientById(){
        this.$loading()
        let that = this
          residentApi.getPatientById({
          id: this.$store.getters.user.id,
          isCapacity: 1
        }).then(res=>{
          this.$toast.clear()
          that.signRecord = res.obj.signRecordDO
          that.capAssRecord = res.obj.capAssRecordDO
        }).catch(err=>{
			this.$toast.clear()
        })
      },
      //查询家庭成员有无 新生儿 老人
      getFamilyAllArchiveType(){
        getFamilyAllArchiveType({
          patient:this.user.id
        }).then(res=>{
        //   console.log(res);
          if(res.status == 200){

          }
        }).catch(err=>{
          this.$toast.clear()
        })
      }
    },
    
}
</script>
<style lang="scss">
.patient-index-wrap {
	
}
</style>